Loading...
Searching...
No Matches
caf::detail::tl_zip_right< ListA, ListB, Fun, N > Struct Template Reference

Equal to zip(right(ListA, N), right(ListB, N), Fun). More...

`#include <type_list.hpp>`

## Public Types

using | type

## Detailed Description

template<class ListA, class ListB, template< class, class > class Fun, size_t N>
struct caf::detail::tl_zip_right< ListA, ListB, Fun, N >

Equal to zip(right(ListA, N), right(ListB, N), Fun).

## Member Typedef Documentation

## type

template<class ListA, class ListB, template< class, class > class Fun, size_t N>

using caf::detail::tl_zip_right< ListA, ListB, Fun, N >::type

Initial value:
typename tl_zip_impl<
tl_right_t<ListA, N>,
tl_right_t<ListB, N>,
Fun
>::type

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/detail/type_list.hpp